package com.shkj.common.core.domain;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * Entity基类
 *
 * @author lch
 */
public class BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 当前仓库id 0表示系统
     */
    private Long currentBranchId;

    /**
     * 当前用户 用来过滤列表中用户
     */
    private Long notEqualsCurrentUserId;


    /**
     * 搜索值
     */
    private String searchValue;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 请求参数
     */
    private Map<String, Object> params;

    private Map<String, Object> consignorParams;
    private Map<String, Object> branchParams;

    public Long getNotEqualsCurrentUserId() {
        return notEqualsCurrentUserId;
    }

    public void setNotEqualsCurrentUserId(Long notEqualsCurrentUserId) {
        this.notEqualsCurrentUserId = notEqualsCurrentUserId;
    }

    public Map<String, Object> getBranchParams() {
        return branchParams;
    }

    public void setBranchParams(Map<String, Object> branchParams) {
        this.branchParams = branchParams;
    }

    public Map<String, Object> getConsignorParams() {
        return consignorParams;
    }

    public void setConsignorParams(Map<String, Object> consignorParams) {
        this.consignorParams = consignorParams;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Map<String, Object> getParams() {
        if (params == null) {
            params = new HashMap<>();
        }
        return params;
    }

    public Long getCurrentBranchId() {
        return currentBranchId;
    }

    public void setCurrentBranchId(Long currentBranchId) {
        this.currentBranchId = currentBranchId;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }
}
